/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class DefinitionBaseDescription extends Description {
    constructor() {
        super();
        this.al = null;
        this.am = null;
        this.ac = null;
        this.af = null;
        this.r = 0;
        this.t = 0;
        this.s = 0;
        this.q = 0;
        this.n = 0;
        this.p = 0;
        this.o = 0;
        this.m = 0;
        this.ae = null;
        this.ad = null;
        this.au = null;
        this.aj = null;
        this.at = null;
        this.ai = null;
        this.ar = null;
        this.ag = null;
        this.g = 0;
        this.aq = null;
        this.aw = null;
        this.as = null;
        this.ah = null;
        this.av = null;
        this.ak = null;
        this.h = 0;
        this.f = 0;
        this._fontFamily = null;
        this._fontSize = 0;
        this._fontStyle = null;
        this._fontWeight = null;
        this.ao = null;
        this.ap = null;
        this.an = null;
    }
    get_type() {
        return "DefinitionBase";
    }
    get type() {
        return this.get_type();
    }
    get background() {
        return this.al;
    }
    set background(a) {
        this.al = a;
        this.e("Background");
    }
    get border() {
        return this.am;
    }
    set border(a) {
        this.am = a;
        this.e("Border");
    }
    get activationBorder() {
        return this.ac;
    }
    set activationBorder(a) {
        this.ac = a;
        this.e("ActivationBorder");
    }
    get actualBorder() {
        return this.af;
    }
    set actualBorder(a) {
        this.af = a;
        this.e("ActualBorder");
    }
    get borderLeftWidth() {
        return this.r;
    }
    set borderLeftWidth(a) {
        this.r = a;
        this.e("BorderLeftWidth");
    }
    get borderTopWidth() {
        return this.t;
    }
    set borderTopWidth(a) {
        this.t = a;
        this.e("BorderTopWidth");
    }
    get borderRightWidth() {
        return this.s;
    }
    set borderRightWidth(a) {
        this.s = a;
        this.e("BorderRightWidth");
    }
    get borderBottomWidth() {
        return this.q;
    }
    set borderBottomWidth(a) {
        this.q = a;
        this.e("BorderBottomWidth");
    }
    get activationBorderLeftWidth() {
        return this.n;
    }
    set activationBorderLeftWidth(a) {
        this.n = a;
        this.e("ActivationBorderLeftWidth");
    }
    get activationBorderTopWidth() {
        return this.p;
    }
    set activationBorderTopWidth(a) {
        this.p = a;
        this.e("ActivationBorderTopWidth");
    }
    get activationBorderRightWidth() {
        return this.o;
    }
    set activationBorderRightWidth(a) {
        this.o = a;
        this.e("ActivationBorderRightWidth");
    }
    get activationBorderBottomWidth() {
        return this.m;
    }
    set activationBorderBottomWidth(a) {
        this.m = a;
        this.e("ActivationBorderBottomWidth");
    }
    get actualBackground() {
        return this.ae;
    }
    set actualBackground(a) {
        this.ae = a;
        this.e("ActualBackground");
    }
    get actualActivationBorder() {
        return this.ad;
    }
    set actualActivationBorder(a) {
        this.ad = a;
        this.e("ActualActivationBorder");
    }
    get stickyRowBackground() {
        return this.au;
    }
    set stickyRowBackground(a) {
        this.au = a;
        this.e("StickyRowBackground");
    }
    get actualStickyRowBackground() {
        return this.aj;
    }
    set actualStickyRowBackground(a) {
        this.aj = a;
        this.e("ActualStickyRowBackground");
    }
    get pinnedRowBackground() {
        return this.at;
    }
    set pinnedRowBackground(a) {
        this.at = a;
        this.e("PinnedRowBackground");
    }
    get actualPinnedRowBackground() {
        return this.ai;
    }
    set actualPinnedRowBackground(a) {
        this.ai = a;
        this.e("ActualPinnedRowBackground");
    }
    get lastStickyRowBackground() {
        return this.ar;
    }
    set lastStickyRowBackground(a) {
        this.ar = a;
        this.e("LastStickyRowBackground");
    }
    get actualLastStickyRowBackground() {
        return this.ag;
    }
    set actualLastStickyRowBackground(a) {
        this.ag = a;
        this.e("ActualLastStickyRowBackground");
    }
    get contentOpacity() {
        return this.g;
    }
    set contentOpacity(a) {
        this.g = a;
        this.e("ContentOpacity");
    }
    get horizontalAlignment() {
        return this.aq;
    }
    set horizontalAlignment(a) {
        this.aq = a;
        this.e("HorizontalAlignment");
    }
    get verticalAlignment() {
        return this.aw;
    }
    set verticalAlignment(a) {
        this.aw = a;
        this.e("VerticalAlignment");
    }
    get lineBreakMode() {
        return this.as;
    }
    set lineBreakMode(a) {
        this.as = a;
        this.e("LineBreakMode");
    }
    get actualLineBreakMode() {
        return this.ah;
    }
    set actualLineBreakMode(a) {
        this.ah = a;
        this.e("ActualLineBreakMode");
    }
    get textColor() {
        return this.av;
    }
    set textColor(a) {
        this.av = a;
        this.e("TextColor");
    }
    get actualTextColor() {
        return this.ak;
    }
    set actualTextColor(a) {
        this.ak = a;
        this.e("ActualTextColor");
    }
    get pinnedRowOpacity() {
        return this.h;
    }
    set pinnedRowOpacity(a) {
        this.h = a;
        this.e("PinnedRowOpacity");
    }
    get actualPinnedRowOpacity() {
        return this.f;
    }
    set actualPinnedRowOpacity(a) {
        this.f = a;
        this.e("ActualPinnedRowOpacity");
    }
    get fontFamily() {
        return this._fontFamily;
    }
    set fontFamily(a) {
        this._fontFamily = a;
    }
    get fontSize() {
        return this._fontSize;
    }
    set fontSize(a) {
        this._fontSize = a;
    }
    get fontStyle() {
        return this._fontStyle;
    }
    set fontStyle(a) {
        this._fontStyle = a;
    }
    get fontWeight() {
        return this._fontWeight;
    }
    set fontWeight(a) {
        this._fontWeight = a;
    }
    get dataBindingRef() {
        return this.ao;
    }
    set dataBindingRef(a) {
        this.ao = a;
        this.e("DataBindingRef");
    }
    get dataBoundRef() {
        return this.ap;
    }
    set dataBoundRef(a) {
        this.ap = a;
        this.e("DataBoundRef");
    }
    get cellStyleKeyRequestedRef() {
        return this.an;
    }
    set cellStyleKeyRequestedRef(a) {
        this.an = a;
        this.e("CellStyleKeyRequestedRef");
    }
}
DefinitionBaseDescription.$t = markType(DefinitionBaseDescription, 'DefinitionBaseDescription', Description.$);
